package passbaseplugin.pettersonapps.com.passbase_flutter

class InitializeArguments(json: Any?) {
    val apiKey: String
    val additionalArguments: Array<Pair<String, String>>
    val prefillUserEmail: String

    init {
        val json = json as Map<String, Any>
        val arguments = (json["additionalAttributes"] as? Map<String, String>)?.orEmpty()
        val argsArray: Array<Pair<String, String>> = arguments?.map {
            Pair(it.key, it.value)
        }.orEmpty().toTypedArray()
        apiKey = json["apiKey"] as String
        additionalArguments = argsArray
        prefillUserEmail = (json["prefillUserEmail"] as? String).orEmpty()
    }
}